import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.ParseException;
import javax.swing.GroupLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.plaf.synth.SynthLookAndFeel;

public class SynthSample {
    public SynthSample(String stylefile) {
        loadLaF(stylefile);

        JFrame frame = new JFrame("Synth Sample");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        GroupLayout layout = new GroupLayout(frame.getContentPane());
        frame.setLayout(layout);
 
        JLabel label = new JLabel("Label");
        frame.add(label);
        JTextField field = new JTextField("TextField", 20);
        frame.add(field);
        JButton button = new JButton("Button");
        frame.add(button);
 
        // GroupLayoutNXɂ郌CAEg
        layout.setAutoCreateGaps(true);
        layout.setAutoCreateContainerGaps(true);
 
        GroupLayout.SequentialGroup hGroup
            = layout.createSequentialGroup();
        hGroup.addComponent(label)
              .addComponent(field)
              .addComponent(button);
        layout.setHorizontalGroup(hGroup);
  
        GroupLayout.ParallelGroup vGroup
            = layout.createParallelGroup(GroupLayout.Alignment.BASELINE);
        vGroup.addComponent(label)
              .addComponent(field)
              .addComponent(button);
        layout.setVerticalGroup(vGroup);

        frame.setSize(400, 100);
        frame.setVisible(true);
    }

    private void loadLaF(String filename) {
        try {
            SynthLookAndFeel laf = new SynthLookAndFeel();
            laf.load(SynthSample.class.getResourceAsStream(filename), 
                     SynthSample.class);

            // Look&FeelUIManagerɃZbg
            UIManager.setLookAndFeel(laf);
        } catch(ParseException ex) {
            // O
        } catch(UnsupportedLookAndFeelException ex) {
            // O
        } catch(IllegalArgumentException ex) {
            // O
        }
    }
 
    public static void main(String[] args) {
        if (args.length == 0) {
            System.err.println("Usaage:");
            System.err.println("java SysnthSample [style file path]");
        }
            
        final String stylefile = args[0];
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                new SynthSample(stylefile);
            }
        });
    }
}